get_translation_matrix(3)

NAME
get_translation_matrix, get_translation_matrix_f - Constructs a translation matrix. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void get_translation_matrix(MATRIX *m, fixed x, fixed y, fixed z); void get_translation_matrix_f(MATRIX_f *m, float x, float y, float z);

DESCRIPTION
Constructs a translation matrix, storing it in m. When applied to the point (px, py, pz), this matrix will produce the point (px+x, py+y, pz+z). In other words, it moves things sideways.

SEE ALSO
apply_matrix(3), get_transformation_matrix(3), qtranslate_matrix(3), exstars(3)